最近の変更サイトマップ

CentOS 6.5にDELL OpenManage 9.1をインストール

試した環境

  • PowerEdge T320
  • CentOS release 6.5 (Final) / Linux 2.6.32-431.23.3.el6.x86_64
  • Dell EMC OpenManage Server Administrator Managed Node (RHEL6 - 64bit), v9.1.0

インストール

最初に断っておくと、リポジトリを追加すればyumで一発で入れられるっぽい。

PowerEdge T320のサポートページからRedHat用のOpenManageを取ってきて展開する。

$ mkdir openmanage; cd openmanage
$ wget https://downloads.dell.com/FOLDER04616506M/1/OM-SrvAdmin-Dell-Web-LX-9.1.0-2757.RHEL6.x86_64_A00.tar.gz
$ tar xvzf OM-SrvAdmin-Dell-Web-LX-9.1.0-2757.RHEL6.x86_64_A00.tar.gz

「サポート外の環境やで」と言われてハネられるので、システムのリリース情報をイジる。

sudo sh -c 'echo "CentOS release 6.5 (Final Santiago)" >> /etc/redhat-release'

インストーラ起動

$ sudo ./setup.sh

インストールするコンポーネントを選ぶ。とりあえず全部入りの「10」にしてみる。

##############################################

  Server Administrator Custom Install Utility

##############################################

  Components for Server Administrator Managed Node Software:

    [ ] 1. Server Instrumentation
    [ ] 2. Storage Management
    [ ] 3. Remote Access Core Component
    [ ] 4. Remote Access SA Plugin Component
    [ ] 5. Remote Enablement Interface
    [ ] 6. Server Administrator Web Server Interface
    [ ] 7. Server Administrator CLI Interface
    [ ] 8. Server Administrator SNMP Interface
    [ ] 9. Server Administrator Operating System Log Interface
    [ ] 10. All

  Enter the number to select a component from the above list.
  Enter q to quit.

  Enter :

当方の環境では、以下のコンポーネントが足らんとエラーが出た。

libcmpiCppImpl.so.0()(64bit) is needed by srvadmin-itunnelprovider-9.1.0-2757.12163.el6.x86_64
libcmpiCppImpl0 >= 2.0.0 is needed by srvadmin-itunnelprovider-9.1.0-2757.12163.el6.x86_64
openwsman-server >= 2.2.3 is needed by srvadmin-itunnelprovider-9.1.0-2757.12163.el6.x86_64
sblim-sfcb >= 1.3.7 is needed by srvadmin-itunnelprovider-9.1.0-2757.12163.el6.x86_64
sblim-sfcc >= 2.2.1 is needed by srvadmin-itunnelprovider-9.1.0-2757.12163.el6.x86_64
libwsman.so.1()(64bit) is needed by srvadmin-tomcat-9.1.0-2757.12163.el6.x86_64
libwsman_client.so.1()(64bit) is needed by srvadmin-tomcat-9.1.0-2757.12163.el6.x86_64
libwsman_curl_client_transport.so.1()(64bit) is needed by srvadmin-tomcat-9.1.0-2757.12163.el6.x86_64
openwsman-client >= 2.1.5 is needed by srvadmin-tomcat-9.1.0-2757.12163.el6.x86_64

必要なコンポーネントを入れる

$ sudo yum -y install libcmpiCppImpl0.x86_64 openwsman-server.x86_64 sblim-sfcb.x86_64 sblim-sfcc.x86_64 libwsman1.x86_64 openwsman-client.x86_64

再度setup.shを実行すると無事にインストールできた。

ログの形式とサービスを起動するかを聞かれる。特に拒否る理由もないので両方yesで。

Select the format for Alert messages

      1. Enhanced Message Format

         This format provides faster problem diagnosis and resolutions with streamlined and simplified messages.
         This format also includes key information on defective components and standardized messages across
         all Dell EMC Management interfaces. For example, Severity: Informational, Category, Audit MessageID:
         MSG001: Message text with Substitution

         NOTE: This may require a one-time change to your customized trap messages logic.

      2. Traditional Message Format

         This format is the existing legacy messages unchanged from the previous OMSA releases. This format
         will soon be deprecated.

      Dell EMC recommends adopting the Enhanced Message Format.


 Do you want to set the messaging preference to Enhanced Message format?

 Press ('y' for yes | 'n' for no ):

 Do you want to start Server Administrator services?

 Press ('y' for yes | 'Enter' to exit):

参考サイト

pc/use_dell_openmanage_on_centos6.5.txt · 最終更新: 2018-01-15 13:56 by decomo
CC Attribution-Noncommercial-Share Alike 3.0 Unported
www.chimeric.de Valid CSS Driven by DokuWiki do yourself a favour and use a real browser - get firefox!! Recent changes RSS feed Valid XHTML 1.0